al_drain_audio_stream(3)

NAME

al_drain_audio_stream - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    void al_drain_audio_stream(ALLEGRO_AUDIO_STREAM *stream)

DESCRIPTION

You should call this to finalise an audio stream that you will no longer be feeding, to wait for all pending buffers to finish playing. The stream's playing state will change to false.

SEE ALSO

al_destroy_audio_stream(3)